---
name: Google Contacts
version: 1.0.0
description: "Google People API access for AI agents. Read contact information from 'Other contacts' with OAuth token passthrough. Limited to non-primary contacts for privacy."
homepage: https://people.googleapis.com/v1
metadata: {"seren":{"category":"integration","publisher_slug":"google-contacts","api_base":"https://api.serendb.com"}}
---

# Google Contacts

Google People API access for AI agents. Read contact information from 'Other contacts' with OAuth token passthrough. Limited to non-primary contacts for privacy.

## API Endpoints

### GET `/otherContacts`

List other contacts

**Example:**

```bash
curl -X GET https://api.serendb.com/publishers/google-contacts/otherContacts \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

### GET `/otherContacts/{resourceName}`

Get a specific other contact

**Example:**

```bash
curl -X GET https://api.serendb.com/publishers/google-contacts/otherContacts/{resourceName} \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

### GET `/people/{resourceName}`

Get person details

**Example:**

```bash
curl -X GET https://api.serendb.com/publishers/google-contacts/people/{resourceName} \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

### GET `/people/me`

Get authenticated user profile

**Example:**

```bash
curl -X GET https://api.serendb.com/publishers/google-contacts/people/me \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

### GET `/people:searchContacts`

Search contacts by query

**Example:**

```bash
curl -X GET https://api.serendb.com/publishers/google-contacts/people:searchContacts \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

## MCP Tools

This API publisher also supports MCP (Model Context Protocol) access. Each API endpoint is available as an MCP tool.

### Available Tools

- `get_otherContacts`: List other contacts
- `get_otherContacts_by_resourceName`: Get a specific other contact
- `get_people_by_resourceName`: Get person details
- `get_people_me`: Get authenticated user profile
- `get_people:searchContacts`: Search contacts by query

### Introspection

```bash
# List tools
curl https://api.serendb.com/publishers/google-contacts/_mcp/tools \
  -H "Authorization: Bearer $SEREN_API_KEY"

# Call a tool
curl -X POST https://api.serendb.com/publishers/google-contacts/_mcp/tools/{tool_name} \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"body": {"key": "value"}}'
```

## Pricing

**Pricing Model:** per_byte

- Base price per 1000 rows (bytes): $0.00100000

**Minimum charge:** $0.00010000

---

## Need Help?

- Seren Docs: https://docs.serendb.com
- Publisher: Google People API access for AI agents. Read contact information from 'Other contacts' with OAuth token passthrough. Limited to non-primary contacts for privacy.
